# typed: strict
# frozen_string_literal: true

module Stats
  class LogarithmicAxis < Axis
    sig { override.params(value: Float).returns(Float) }
    def normalize(value)
      Math.log(value)
    end

    sig { override.params(value: Float).returns(Float) }
    def denormalize(value)
      Math.exp(value)
    end
  end
end
